/*--------- 2 Dec 2023 ------------ 0-palette.css ---------- */
/*---------- Definitive version lives at "style/" ---------- */

:root {
  --ink: 246,71%,47%; /* CSS partial */
  --ink-fade: hsla(var(--ink), 60%);
  --ink-dark: hsl(var(--ink));
  --ink-line: white;
  --cyanotype-base: 246,71%,47%;
  --cyanotype: #32c;
  --news-red-base: 0,100%,40%;
  --news-red: hsl(var(--news-red-base));
  --news-red-fade: hsla(var(--news-red-base), 60%);
  --news-blue-base: 214,100%,47%;
  --news-blue: hsl(var(--news-blue-base));
  --news-blue-fade: hsla(var(--news-blue-base), 60%);
}

/*---------------- Basic Section Palettes ------------------ */

html {
color: lavender;
background-color: black;
background-image: radial-gradient(black,midnightblue);
background-size: 100% 100%;
		}

#main {
background-image: linear-gradient(var(--news-blue) 3px, transparent 3px), linear-gradient(90deg, var(--news-blue) 3px, transparent 3px), linear-gradient(var(--news-blue) 1.5px, transparent 1.5px), linear-gradient(90deg, var(--news-blue) 1.5px, transparent 1.5px);
background-size: 75px 75px, 75px 75px, 15px 15px, 15px 15px;
background-position: -3px -3px, -3px -3px, -1.5px -1.5px, -1.5px -1.5px;	
		}

.arty {
fill: var(--ink-dark);
color: var(--ink-dark);
width: 100;
height: 100;
}

footer {
background: black;
}

footer > p {
color: lavender;
}

/*--------------- Hyper-Active Links ----------------- */

		a {
			text-decoration: underline;
			color: inherit;
			text-decoration-style: dashed;
            text-decoration-color: var(--ink-fade);
			text-decoration-thickness: 8%;
		}

		a:hover {
			text-shadow: 0 0 1px lavender, 0 0 5px var(--ink-line);
		}

a:visited {
  color: inherit;
}

a:active {
  color: inherit;
}

/*--------------- Headers and Text: Standard ----------------- */

h1, h2, h3, p {
			color: var(--ink-line);
		}
kbd {
  color: lavender;
  background-color: black;
  box-shadow: 2px 2px 0px 1px black, 0px 0px 2px 1px black inset;
}

/*--------------- Headers and Text: Custom ----------------- */

/*--------------- Quotes, Blocks, Lines ----------------- */

blockquote {
  border: 3px dashed var(--ink-dark);
}

.codequote {
  color: black;
  background: white;
  box-shadow: 2px 2px 0px 1px black;
}

		hr {
			border: none;
			border-top: 4px dashed var(--ink-dark);
		}